"use strict";
const common_vendor = require("../../../../common/vendor.js");
const sheep_index = require("../../../index.js");
const sheep_components_sShareModal_canvasPoster_useCanvas = require("./useCanvas.js");
require("../../../api/index.js");
require("../../../api/distri/score.js");
require("../../../request/index.js");
require("../../../config/index.js");
require("../../../store/index.js");
require("../../../store/app.js");
require("../../../api/promotion/diy.js");
require("../../../platform/index.js");
require("../../../platform/provider/wechat/index.js");
require("../../../platform/provider/wechat/miniProgram.js");
require("../../../api/member/auth.js");
require("../../../api/member/social.js");
require("../../../api/member/user.js");
require("../../../platform/provider/apple/index.js");
require("../../../platform/share.js");
require("../../../router/index.js");
require("../../../hooks/useModal.js");
require("../../../helper/index.js");
require("../../../helper/test.js");
require("../../../helper/digit.js");
require("../../../api/member/signin.js");
require("../../../helper/throttle.js");
require("../../../url/index.js");
require("../../../platform/pay.js");
require("../../../api/pay/order.js");
require("../../../store/user.js");
require("../../../store/cart.js");
require("../../../api/trade/cart.js");
require("../../../api/pay/wallet.js");
require("../../../api/trade/order.js");
require("../../../api/promotion/coupon.js");
require("../../../store/sys.js");
require("../../../store/modal.js");
require("../../../api/distri/share.js");
require("../../../api/distri/team.js");
require("../../../api/infra/file.js");
require("../../../api/member/address.js");
require("../../../api/member/point.js");
require("../../../api/migration/app.js");
require("../../../api/migration/chat.js");
require("../../../api/migration/index.js");
require("../../../api/migration/third.js");
require("../../../api/pay/channel.js");
require("../../../api/product/category.js");
require("../../../api/product/comment.js");
require("../../../api/product/favorite.js");
require("../../../api/product/history.js");
require("../../../api/product/spu.js");
require("../../../api/promotion/activity.js");
require("../../../api/promotion/article.js");
require("../../../api/promotion/bargain.js");
require("../../../api/promotion/combination.js");
require("../../../api/promotion/rewardActivity.js");
require("../../../api/promotion/seckill.js");
require("../../../api/system/area.js");
require("../../../api/system/voice.js");
require("../../../api/trade/afterSale.js");
require("../../../api/trade/brokerage.js");
require("../../../api/trade/config.js");
require("../../../api/trade/delivery.js");
require("../../../config/zIndex.js");
require("./poster/index.js");
require("./poster/user.js");
require("./poster/goods.js");
require("./poster/groupon.js");
if (!Array) {
  const _easycom_su_popup2 = common_vendor.resolveComponent("su-popup");
  _easycom_su_popup2();
}
const _easycom_su_popup = () => "../../../ui/su-popup/su-popup.js";
if (!Math) {
  _easycom_su_popup();
}
const _sfc_main = {
  __name: "index",
  props: {
    show: {
      type: Boolean,
      default: false
    },
    shareInfo: {
      type: Object,
      default() {
      }
    }
  },
  emits: ["success", "close"],
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const poster = common_vendor.reactive({
      canvasId: "canvasId",
      width: sheep_index.sheep.$platform.device.windowWidth * 0.9,
      height: 600,
      src: "",
      imgData: ""
    });
    const emits = __emit;
    const vm = common_vendor.getCurrentInstance();
    const onClosePoster = () => {
      emits("close");
    };
    const onSavePoster = () => {
      if (["WechatOfficialAccount", "H5"].includes(sheep_index.sheep.$platform.name)) {
        sheep_index.sheep.$helper.toast("请长按图片保存");
        return;
      }
      common_vendor.index.saveImageToPhotosAlbum({
        filePath: poster.src,
        success: (res) => {
          onClosePoster();
          sheep_index.sheep.$helper.toast("保存成功");
        },
        fail: (err) => {
          sheep_index.sheep.$helper.toast("保存失败");
          console.log("图片保存失败:", err);
        }
      });
    };
    common_vendor.ref("");
    async function getPoster(params) {
      poster.src = "";
      poster.shareInfo = props.shareInfo;
      const canvas = await sheep_components_sShareModal_canvasPoster_useCanvas.useCanvas(poster, vm);
      return canvas;
    }
    __expose({
      getPoster
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: poster.src === ""
      }, poster.src === "" ? {
        b: poster.height + "px",
        c: poster.width + "px"
      } : {
        d: poster.src,
        e: poster.height + "px",
        f: poster.width + "px"
      }, {
        g: poster.canvasId,
        h: poster.canvasId,
        i: poster.height + "px",
        j: poster.width + "px",
        k: poster.src !== ""
      }, poster.src !== "" ? {
        l: common_vendor.o(onClosePoster),
        m: common_vendor.o(onSavePoster)
      } : {}, {
        n: common_vendor.o(onClosePoster),
        o: common_vendor.p({
          show: __props.show,
          round: "10",
          type: "center"
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-199e8f1d"], ["__file", "D:/zx/mall-front-app/sheep/components/s-share-modal/canvas-poster/index.vue"]]);
wx.createComponent(Component);
